from django.contrib.auth.decorators import login_required
from django.urls import path

# from ClassicUserAccounts.views import dashboard
from . import views

urlpatterns = [

    path('brand', login_required(views.brands), name='brands'),
    path('brand/edit/<str:Bid>', login_required(views.edit_brand), name='edit_brand'),
    path('brand/create', login_required(views.create_brand), name='create_brand'),
    path('product_category', login_required(views.product_category), name='product_category'),
    path('product_category/create/', login_required(views.create_product_category), name='create_product_category'),
    path('product_category/edit/<int:PCid>', login_required(views.edit_product_category), name='edit_product_category'),
    path('warehouse/', login_required(views.warehouse), name='warehouse'),
    path('warehouse-dashboard', login_required(views.WarehouseDashboard), name='WarehouseDashboard'),
    path('warehouse/create', login_required(views.create_warehouse), name='create_warehouse'),
    path('warehouse/delete/<str:wareid>', login_required(views.delete_warehouse), name='delete_warehouse'),
    path('products/', login_required(views.product_list), name='products'),
    path('product/create/', views.create_product, name='create_product'),
    path('product/edit/<int:Pid>', views.edit_product, name='edit_product'),
    path('product/delete/<int:Pid>', views.delete_product, name='delete_product'),
    path('product/import', login_required(views.import_products_target), name='import_product'),
    # path('product/<int:product_id>/edit', login_required(views.product_edit), name='edit_product')
    path('stock_level', login_required(views.stock_level), name='stock_level'),
    path('stock_level/create', login_required(views.create_stock_level), name='create_stock_level'),
    path('stock_register', login_required(views.stock_register), name='stock_register'),
    path('stock_register/create', login_required(views.create_stock_register), name='create_stock_register'),
    path('dealers_business', login_required(views.dealer_business), name='dealer_business'),
    path('dealers_business/create', login_required(views.create_dealer_business), name='create_dealer_business'),
    path('dealer_sales_target/', login_required(views.dealer_sales_target), name='dealer_sales_target'),
    path('dealer_sales_target/create/', login_required(views.create_dealer_sales_target),
         name='create_dealer_sales_target'),
    path('dealer_sales_target/import', login_required(views.import_dealer_sales_target),
         name='import_dealer_sales_target'),
    path('dealer_sales_target/edit/<int:DSTid>', login_required(views.edit_dealer_sales_target),
         name='edit_dealer_sales_target'),
    path('dealer_sales_target/delete/<int:DSTid>', views.delete_dealer_sales_target, name='delete_dealer_sales_target'),
    path('allowance/', login_required(views.allowance), name='allowance'),
    path('allowance/import', login_required(views.import_allowances), name='import_allowance'),
    path('allowance/create/', login_required(views.create_allowance), name='create_allowance'),
    path('allowance/edit/<int:allow_id>', login_required(views.edit_allowance), name='edit_allowance'),
    path('allowance/delete/<int:allow_id>', views.delete_allowance, name='delete_allowance'),
    path('inventory/', login_required(views.inventory), name='inventory'),
    path('inventory/import', login_required(views.import_inventory), name='import_inventory'),
    path('inventory/create', login_required(views.create_inventory), name='create_inventory'),
    path('inventory/edit/<int:rid>/<int:sid>', views.edit_inventory, name='edit_inventory'),
    path('tie_up/', login_required(views.tie_up), name='tie_up'),
    path('tie_up/import', login_required(views.import_tie_up), name='import_tie_up'),
    path('tie_up/create', login_required(views.create_tie_up), name='create_tie_up'),
    path('tie_up/edit/<int:tieup_id>', login_required(views.edit_tie_up), name='edit_tie_up'),
    path('tie_up/delete/<int:tieup_id>', views.delete_tie_up, name='delete_tie_up'),
    # path('cash_discount', login_required(views.cash_discount), name='cash_discount'),
    # path('cash_discount/create', login_required(views.create_cash_discount), name='create_cash_discount'),
    path('scheme', login_required(views.scheme), name='scheme'),
    path('scheme/create', login_required(views.create_scheme), name='create_scheme'),
    #path('warehouse_admin', login_required(views.warehouse_admin), name='warehouse_admin'),
    #path('warehouse_admin/create', login_required(views.create_warehouse_admin), name='create_warehouse_admin'),
    #path('warehouse_admin/edit/<int:wareid>', login_required(views.edit_warehouse_admin), name='edit_warehouse_admin'),
    path('product_price_history', login_required(views.product_price_history), name='product_price_history'),
    path('product_price_history/create', login_required(views.create_product_price_history),
         name='create_product_price_history'),
    # path('cash_discount_scheme', login_required(views.cash_discount_scheme), name='cash_discount_scheme'),
    # path('cash_discount_scheme/create', login_required(views.create_cash_discount_scheme),
    #     name='create_cash_discount_scheme'),
    path('cash_discount_slab/', login_required(views.cash_discount_slabs), name='cash_discount_slab'),
    path('cash_discount_slab/create', login_required(views.create_cd_slab), name='create_cd_slab'),
    path('cash_discount_slab/import', login_required(views.cd_import), name='cd_import'),
    path('cd_slab/edit/<int:CDid>', login_required(views.edit_cd_slab), name='edit_cd_slab'),
    path('cd_slab/delete/<int:CDid>', views.delete_cd_slab, name='delete_cd_slab'),
    path('load-city/<str:cid>', login_required(views.load_city), name='load_city'),
    # path('scheme_sell_through', login_required(views.scheme_sell_through), name='scheme_sell_through'),
    path('scheme_sell_through/create', login_required(views.create_scheme_sell_through),
         name='create_scheme_sell_through'),
    path('scheme_sell_through/', login_required(views.scheme_sell_through), name='scheme_sell_through'),
    path('scheme_sell_through/import', login_required(views.import_scheme_sell_through),
         name='import_scheme_sell_through'),
    path('scheme_sell_through/create/', login_required(views.create_scheme_sell_through),
         name='create_scheme_sell_through'),
    path('scheme_sell_through/edit/<int:SSTid>', login_required(views.edit_sell_through), name='edit_sell_through'),
    path('scheme_sell_through/delete/<int:SSTid>', views.delete_sell_through, name='delete_sell_through'),

    path('scheme_product', login_required(views.scheme_product), name='scheme_product'),
    path('scheme_product/create', login_required(views.create_scheme_product), name='create_scheme_product'),
    path('scheme_category', login_required(views.scheme_category), name='scheme_category'),
    path('scheme_category/create', login_required(views.create_scheme_category), name='create_scheme_category'),
    path('scheme_category/edit/<str:SCid>', login_required(views.edit_scheme_category), name='edit_scheme_category'),
    path('dealers_brand', login_required(views.dealers_brand), name='dealers_brand'),
    path('dealers_brand/create/', login_required(views.create_dealers_brand), name='create_dealers_brand'),
    path('dealers_brand/edit/<int:DBid>', login_required(views.edit_dealers_brand), name='edit_dealers_brand'),
    path('credit_note_type', login_required(views.credit_note_type), name='credit_note_type'),
    path('credit_note_type/create', login_required(views.create_credit_note_type), name='create_credit_note_type'),
    path('document_type', login_required(views.document_type), name='document_type'),
    path('document_type/create', login_required(views.create_document_type), name='create_document_type'),
    path('region', login_required(views.region), name='region'),
    path('region/create', login_required(views.create_region), name='create_region'),
    path('tax_slab', login_required(views.tax_slab), name='tax_slab'),
    path('tax_slab/create', login_required(views.create_tax_slab), name='create_tax_slab'),
    path('get/states/<int:state_id>', views.get_states, name='get_states'),
    path('get/product_category', views.generate_category, name='generate_category'),
    # path('tax_slab/import', login_required(views.tax_slab_import), name='tax_slab_import'),
    #     path('tax_slab/edit/<int:Tid>', login_required(views.edit_tax_slab), name='edit_tax_slab'),
    #     path('tax_slab/delete/<int:Tid>', views.delete_tax_slab, name='delete_tax_slab'),
]
